# <p align = "center"> PLASO CONNECT - The Lifeline </p>
<p align="center">
  <img src="https://i.pinimg.com/originals/88/45/0f/88450f0f3601d63c0f750ad8ce932670.jpg">
 </p>
<p align="center">
<img src="https://forthebadge.com/images/badges/built-with-love.svg">
<img src="https://forthebadge.com/images/badges/built-for-android.svg">
<img src="https://forthebadge.com/images/badges/powered-by-responsibility.svg">  
</p>


### <p align = "center"> A one-stop platform for COVID relief resources -- Connecting patients with Plasma donors and oxygen suppliers. Built for the citizens, to win over the pandemic </p>

## INSPIRATION ⭐
Living amidst the pandemic has become a challenge for the citizens of India. With the exponential rise in the number of daily infections of late, we can see an ever-increasing demand for the healthy plasma donors and oxygen units, whereas the supply isn’t enough to cover the disparity. Moreover, what’s more serious is that help is not reaching the people in need at the right time and people are having to experience the unfortunate death of their beloved. Citizens are desperately looking for support all over social media but by the time a lifeline is acquired, it’s already too late. At the same time the accountability of resources on the internet is a big concern. Inspired by how social media is playing an instrumental role in trying to help people find support for the patients, we decided to create a platform that bridges the gap and connects the users in need with the right people providing life-sustaining resources. 

## ABOUT ✒

Plaso Connect is an application which acts as a one-stop solution where the people requiring blood plasma/oxygen can directly find and contact the donors and healthcare units as per their requirements, directly from our app. This will enable users for taking prompt action before any fatality happens. The app allows patients to get in touch with the people who are willing to donate their plasma, ensuring that help reaches the ones in need in due time before it’s too late.

## KEY FEATURES 📝
*	On first time startup, the app will prompt you for sign-up. Sign-up feature will be different for an individual and a healthcare-centre as it implements an admin portal in case a hospital/diagnostic centre wants to create an account for public interest. Individual sign-up will have a form asking basic demographic and physical details of the user like name, age, blood group etc.
*	The dashboard will have 4 different features that form the core basis of the app. One will be a ‘Blood Plasma Donation’ portal which will be a registration portal that will allow a user to give consent for plasma donation asking the specific details to determine eligibility. All the registered users will now be enlisted in the ‘Available Donors’ portal from where any registered user can contact the donors based on their locational/blood group requirements.
* The other portal will have a section where healthcare centres can enlist available oxygen supply units. The portal will be open to individuals in case they want to inform regarding available cylinders or dealers, which will be valued only after verification. 
* The final section will be a one-in-all portal that shows a dashboard of live COVID-19 stats and the medical dos and don’ts guidelines for everyone to follow in the pandemic.

## TECH STACK USED ⚙
*	Flutter (For building the App)
*	Firebase and Firestore (To maintain App database and accounts)
*	APIs (covid APIs, etc for showing Covid related data and other features)

## SCREENSHOTS 👀

<p align="center">
<img src="https://i.imgur.com/PTZQJwZ.png" height="350">
<img src="https://i.imgur.com/TF6NJch.png" height="350">
<img src="https://i.imgur.com/gqB8Mks.png" height="350">
<img src="https://i.imgur.com/uFHK4Qd.png" height="350">
<img src="https://i.imgur.com/OuygEO2.png" height="350">
<img src="https://i.imgur.com/eLdSazC.png" height="350">
<img src="https://imgur.com/Ymw9IzW.png" height="350">
</p>

## FUTURE IMPROVEMENTS  💻
*	Multiple languages support
*	Offline Facilities
*	Location-based SOS Button
*	Cross-platform OS support – to expand it for Apple iOS 
*	Nearest Healthcare Center/Hospital Maps
*	Dynamic life support dashboard index with automatic update feature
*	Editable User Profile options

## Project Authors 👨‍💻
* Niloy Sikdar
* Anubhab Sarkar
